Skip to content
Last updated

API / geotoolkit / map / sources / loaders / Bing / Bing

Class: Bing

loaders.Bing.Bing

Bing source loader that loads settings from Bing Maps server

Hierarchy

Table of contents

Constructors
  • [new Bing(options)](/solutions/geotoolkit/GeoToolkit_JS/apis/classes/geotoolkit.map.sources.loaders.bing.bing.md#new bing(options))
Methods

Contents

Constructors

new Bing(options)

• new Bing(options?)

Parameters

Name Type Description
Optional optionsOptionsoptions

Overrides

AbstractLoader.constructor

Methods

clone

▸ clone(): AbstractLoader

All subclasses should override copyConstructor or provide custom implementation for this method

Returns

AbstractLoader

clone

Inherited from

AbstractLoader.clone


cloneQueryParameters

▸ cloneQueryParameters(loader): Bing

Copies query parameters from another loader

Parameters

Name Type Description
loaderAbstractLoaderloader to clone parameters

Returns

Bing

this

Inherited from

AbstractLoader.cloneQueryParameters


copyConstructor

▸ Protected copyConstructor(src, deepCopy?): Bing

Copy constructor function.<br> Function used as part of the cloning mechanism.<br> Implementations should copy the given instance state to this instance.<br>

Parameters

Name Type Description
srcAbstractLoaderSource to copy from
Optional deepCopybooleandeep copy

Returns

Bing

this

Inherited from

AbstractLoader.copyConstructor


getClassName

▸ getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName


getConnector

▸ getConnector(): AbstractConnector<any&gt;

Returns connector

Returns

AbstractConnector<any&gt;

Inherited from

AbstractLoader.getConnector


getCopyright

▸ getCopyright(): string

Returns copyright information.

Returns

string

Inherited from

AbstractLoader.getCopyright


getRequestOptions

▸ Protected getRequestOptions(): SendOptions

Returns server settings request options

Returns

SendOptions

Inherited from

AbstractLoader.getRequestOptions


getSettingsUrl

▸ getSettingsUrl(): string

Returns server settings request url

Returns

string

request server data request

Overrides

AbstractLoader.getSettingsUrl


loaded

▸ Protected loaded(callback): void

Resolves loading promise asynchronically

Parameters

Name Type Description
callback(loader: AbstractLoader) => voidresolving callback

Returns

void

Inherited from

AbstractLoader.loaded


parse

▸ parse(data, onload): void

Parses server data response

Parameters

Name Type Description
datastring | JSONObjectdata received from the server
onload(loader: AbstractLoader) => voidfunction to be called when data is loaded

Returns

void

Overrides

AbstractLoader.parse


setQueryParameter

▸ setQueryParameter(param, value): Bing

Sets the query parameter to add to the server settings request

Parameters

Name Type Description
paramstringparameter name
valuestring | number | booleanparameter value

Returns

Bing

this

Inherited from

AbstractLoader.setQueryParameter


getClassName

▸ Static getClassName(): string

Returns

string

Inherited from

AbstractLoader.getClassName